#!/bin/bash

directory=$(dirname $0)
rand=$RANDOM
echo "c Random prefix: $rand"
oldwcnf=/tmp/"$rand".wcnf
#sol=/tmp/"$rand".sol

# ./wcnfverifier/wcnfverifier -s ./wcnfverifier/kissat/build/kissat "$1"
# echo "c Return Value of UNSAT checker: $?"

echo "c Converting to old format:"
#"$directory"/maxsat_benchmarks_code_base/bin/to_old_fmt "$1" > $oldwcnf
"$directory"/wcnfverifier/wcnfverifier -c "$oldwcnf" "$1"

echo "c Run Z3 Solver and convert Output to standard output format:"
#"$directory"/z3/build/z3 -wcnf -model $oldwcnf | ./z3OutputConverter.py
#"$directory"/z3/build/z3 -wcnf -model opt.maxsat_engine='maxres' "$oldwcnf" | "$directory"/z3OutputConverter.py ## standard option
"$directory"/z3/build/z3 -wcnf -model opt.maxsat_engine='wmax' "$oldwcnf" | "$directory"/z3OutputConverter.py
#"$directory"/z3/build/z3 -wcnf -model opt.maxsat_engine='rc2' "$oldwcnf" | "$directory"/z3OutputConverter.py
#"$directory"/z3/build/z3 -wcnf -model opt.maxsat_engine='pd-maxres' "$oldwcnf" | "$directory"/z3OutputConverter.py
#"$directory"/z3/build/z3 -wcnf -model opt.maxsat_engine='maxres-bin' "$oldwcnf" | "$directory"/z3OutputConverter.py
exit_status=${PIPESTATUS[0]}

#o_value=$(grep "^o " "$sol" | cut -d' ' -f2)
#echo "c greped o-value $o_value"
# ./wcnfverifier/wcnfverifier -o "$o_value" -v "$sol" "$1"
# echo "c Return Value of model checker: $?"

rm -f "$oldwcnf"
# rm $sol
exit $exit_status
