#!/bin/bash

folder=FaultLogs
newfolder=$(date -I)_FaultOverview
# ininiteLoop=no
while [ $# -gt 0 ]; do
  case $1 in
  -h)
    echo "usage: combineErrorLogs.sh [-h][-f][-i] <prg> [<prgopts>...]"
    exit 0
    ;;
  -f) folder=$2 ;;
  -n) newfolder=$2 ;;
  # -i) ininiteLoop=yes ;;
  -*) die "invalid command line option" ;;
  *)
  esac
  shift
done
nbfiles=0
newnbfiles=$(ls -1 "$folder" | wc -l)
echo "$newnbfiles files to process"
mkdir -p "$newfolder"
i=0
# find ErrorLogs/ -name "*.lg" -type f > /tmp/errorLogs
# for file in "$folder"/
while [ "$nbfiles" -lt "$newnbfiles" ]; do
  find "$folder" -name "*.lg" -print0 -type f | while read -r -d $'\0' file
  do
      filename=$(basename "$file")
      # echo "$file --> $filename"
      if [ "${file: -3}" == ".lg" ] && eval tail -n1 "$file" | grep -q "^c rc"; then
          i=$((i + 1))
          newFile="$newfolder/$(echo "$filename" | cut -d "." -f1).log"
          echo -ne "Counter: $i  --> processing file: $file >> $newFile"\\r

          cat "$file" >> "$newFile"
          echo "" >> "$newFile"
          rm -f "$file"
      fi
  done
  nbfiles=$(ls -1 "$folder" | wc -l)
  sleep 10
  newnbfiles=$(ls -1 "$folder" | wc -l)
done  
