#!/bin/bash

# this script builds 
#   1. all files (needs gcc)
#   2. wgets all solver from the MaxSAT Evaluation (wget necessary)
#   3. unzips the solver (unzip necessary)
#   4. clones kissat sat solver and builds it
#   5. copies all scripts to TobiasPaxian/runfuzz to be able to run the wcnf fuzzer from there

set -e

cd $(dirname $0)

cd MaxSATSolver
./install.sh
cd ..

cd TobiasPaxian
./install.sh
cd ..

echo "got MaxSAT solver from MaxSAT hompage and installed all necessary scripts to run ./compare.sh."
echo "run fuzzer of Tobias Paxian in folder TobiasPaxian/runfuzz with ./run.sh"
echo "run ./compare.sh script (currently 5 MaxSAT solver) in folder MaxSATSolver with ./compare.sh <wcnf-file>"
